New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Does it use native sdk or it needs inappbrowser #36

Open
programming-kid opened this Issue Jul 10, 2014 · 4 comments

Comments

Projects
None yet
2 participants
@programming-kid

programming-kid commented Jul 10, 2014

after trying so many unsuccessful attempt to integrate phonegap with facebook-plugin i found this plugin , i just have one question before trying this on phonegap

does this use native sdk or should i install inappbrowser

@pc035860

This comment has been minimized.

Show comment
Hide comment
@pc035860

pc035860 Jul 18, 2014

Owner

Hi,

This plugin basically maps Facebook JS SDK's API into angular context.
It seems that both cordova-facebook and phonegap-facebook-plugin go for native SDK and not providing the same API as Facebook JS SDK, hence this module doesn't support any cordova/phonegap plugin now.

Owner

pc035860 commented Jul 18, 2014

Hi,

This plugin basically maps Facebook JS SDK's API into angular context.
It seems that both cordova-facebook and phonegap-facebook-plugin go for native SDK and not providing the same API as Facebook JS SDK, hence this module doesn't support any cordova/phonegap plugin now.

@programming-kid

This comment has been minimized.

Show comment
Hide comment
@programming-kid

programming-kid Jul 18, 2014

i don't understand if this module dosen't support any cordova plugin why is there instructions for cordova integration in README.md

programming-kid commented Jul 18, 2014

i don't understand if this module dosen't support any cordova plugin why is there instructions for cordova integration in README.md

@pc035860

This comment has been minimized.

Show comment
Hide comment
@pc035860

pc035860 Jul 18, 2014

Owner

Current support of cordova integration was implemented in #16. And during that time, phonegap-facebook-plugin was using the same API as Facebook JS SDK and was implemented with an inappbrowser I guess.

The old repo url is https://github.com/phonegap/phonegap-facebook-plugin, which now redirects to https://github.com/wizcorp/phonegap-facebook-plugin.

I'll have the part of README.md removed.

Owner

pc035860 commented Jul 18, 2014

Current support of cordova integration was implemented in #16. And during that time, phonegap-facebook-plugin was using the same API as Facebook JS SDK and was implemented with an inappbrowser I guess.

The old repo url is https://github.com/phonegap/phonegap-facebook-plugin, which now redirects to https://github.com/wizcorp/phonegap-facebook-plugin.

I'll have the part of README.md removed.

pc035860 added a commit that referenced this issue Jul 18, 2014

Update README.md
Remove the cordova usage part due to the module can't support current version of cordova facebook plugins anymore. #36
@programming-kid

This comment has been minimized.

Show comment
Hide comment
@programming-kid

programming-kid Jul 25, 2014

i worked with https://github.com/phonegap/phonegap-facebook-plugin 0.4.0 release and it works just fine (for my needs) i just needed to login with fb . m not sure about other apis .

programming-kid commented Jul 25, 2014

i worked with https://github.com/phonegap/phonegap-facebook-plugin 0.4.0 release and it works just fine (for my needs) i just needed to login with fb . m not sure about other apis .

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment